org.apache.tapestry5.internal.util

## Class LocaleUtils

- java.lang.Object
- - org.apache.tapestry5.internal.util.LocaleUtils

-     public class LocaleUtils
      extends java.lang.Object

  Contains code borrowed from commons-lang.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocaleUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Locale` | `toLocale(java.lang.String input)` Converts a String to a Locale.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocaleUtils

          public LocaleUtils()

  - ### Method Detail

    - #### toLocale

          public static java.util.Locale toLocale(java.lang.String input)

      Converts a String to a Locale. This method takes the string format of a locale and creates the locale object from it.

             LocaleUtils.toLocale("en")         = new Locale("en", "")
             LocaleUtils.toLocale("en_GB")      = new Locale("en", "GB")
             LocaleUtils.toLocale("en_GB_xxx")  = new Locale("en", "GB", "xxx")   (#)

      (#) The behaviour of the JDK variant constructor changed between JDK1.3 and JDK1.4. In JDK1.3, the constructor upper cases the variant, in JDK1.4, it doesn't. Thus, the result from getVariant() may vary depending on your JDK. This method validates the input strictly. The language code must be lowercase. The country code must be uppercase. The separator must be an underscore. The length must be correct.
      Parameters:
        `input` - the locale String to convert, null returns null
      Returns:
        a Locale, null if null input
      Throws:
        `java.lang.IllegalArgumentException` - if the string is an invalid format

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.